#include "userdef.h"

void put8(int addr, int data)
{
  extern int asmaddr;
  extern int asmdata;

	asmdata = data;
	asmaddr = addr;
	asmdata = asmdata & MASK8;
	asmput8();
}

void put16(int addr, int data)
{
  extern int asmaddr;
  extern int asmdata;
	
	asmdata = data;
	asmaddr = addr;
	asmdata = asmdata & MASK16;
	asmput16();
}

void put32(int addr, int data)
{
  extern int asmaddr;
  extern int asmdata;

	asmdata = data;
	asmaddr = addr;
	asmput32();
}

void prepreg(struct regelem reg[])
{
  int i,j;
  extern int regdata[];

	for (i=0,j=0;reg[i].name != LASTCMD;i++)
		if (reg[i].name[0] != BREAK)
			regdata[j++] = reg[i].value;
}	

void storereg(struct regelem reg[])
{
  int i,j;
  extern int regdata[];

	for (i=0,j=0;reg[i].name != LASTCMD;i++)
		if (reg[i].name[0] != BREAK)
			reg[i].value = regdata[j++];
}

int get8(int addr)   /* returns 8 bits not sign-extended  */
{
  extern int asmaddr;
  extern int asmdata;

	asmaddr = addr;
	asmget8();
	asmdata = asmdata & MASK8;
	return(asmdata);
}

int get8s(int addr)   /* returns 8 bits sign-extended to 32  */
{
  extern int asmaddr;
  extern int asmdata;

	asmaddr = addr;
	asmget8();
	return(asmdata);
}

int get16(int addr)  /* returns 16 bits not sign-extended   */
{
  extern int asmaddr;
  extern int asmdata;

	asmaddr = addr;
	asmget16();
	asmdata = asmdata & MASK16;
	return(asmdata);
}

int get16s(register int addr)    /* returns 16 bits sign-extended to 32  */
{
  extern int asmaddr;
  extern int asmdata;

	asmaddr = addr;
	asmget16();
	return(asmdata);
}

int get32(register int addr)
{
extern int asmaddr;
extern int asmdata;

	asmaddr = addr;
	asmget32();
	return(asmdata);
}
