/* ***************************************************************** */
/* 
This is a collection of variables used in the monitor. This section of
code is "included" in the main.c, so the declerations are made only
once. It is meant to be located in RAM space during linking.
*/
/* ***************************************************************** */

/* wrm split into vardef.h and vardef.c to prevent multiple definitions */

extern char argv[MAXLINE];	/* Command line that is typed in by user */
extern int argc;		/* Number of arguments on the command line */
extern int asmdata;		/* Memory location with data for assembly routines */
extern int asmaddr;		/* Memory location with address for assembly routines */
extern int error;		/* Global error flag for getnum routine */
extern int tracecount;		/* Trace count */
extern int oldbraddr;		/* Break point just hit address */
extern int regdata[MAXREGS];	/* Memory with reg values for assembly routine */
extern int stackptr;		/* Pointer to intterupt stack frame */
extern int snum;		/* Check sum value used by locmd */
extern int csptr;		/* Monitor stack pointer */
extern int handlerflag;

/* ******************** ADDITIONS *************************** */

extern char lastcmd[MAXLINE];	/* Last command line that was typed in by user */
extern int overheadRTS;
extern int startbenchmark;
extern int *ptr_to_overheadRTS; // = &overheadRTS;
extern int assemblycode[11];
extern int instructnum,condition;
extern char sizechar[2];
extern ACTUALFIELD_T_F Fieldoption[5];
extern int MIPOST;
extern int packasm;
extern char *opwordsyntax[50];
extern int confres;

#if ((COPROCESSOR==TRUE) || (DEVICE==68040))
extern char optionSorD;
extern int predicate;

extern struct regelem fpu[MAXREGS];		/* MPU register table */
#endif

/* ******************** ADDITIONS *************************** */

extern struct breakelem brtable[MAXBR];	/* Breakpoint table */

extern struct symbelem symb[MAXSYMBOL];	/* Symbol table */

extern struct regelem mpu[MAXREGS];		/* MPU register table */

/* ***************************************************************** */

//extern int m8[255];
