; wrm 2023-08-12
; Edited file to be vasm compatible
; Note that this file is run through cpp first

#include "targetsys.h"
;file "asmstart.s"
  global __start, abortstart


  section .text
; 12 20
__start:   move.l  #$1,(SYSRAMLOC+$1000)
abortstart:
           move.l  #(SYSRAMLOC+$1b00),d0
#if (DEVICE>=68010)
           move.l  #(SYSRAMLOC+$1000),d1
#endif
#if (DEVICE>=68020)
           move.l  #(SYSRAMLOC+$2000),d2
           move.l  #(SYSRAMLOC+$1c00),d3
#endif
           move.l  #$0,d4
           move.l  #$0,d5
           move.l  #$0,d6
           move.l  #$0,d7
           move.l  d0,a0  ; USP can only be set from Ax, no idea how original fbug68k compiled
           move.l  #$0,a1
           move.l  #$0,a2
           move.l  #$0,a3
           move.l  #$0,a4
           move.l  #$0,a5
           move.l  #$0,a6
#if (DEVICE>=68020)
           move.l  d4,caar
           move.l  d4,cacr
           move.l  d4,sfc
           move.l  d4,dfc
#endif
           move.l  a0,usp
#if (DEVICE>=68010)
           move.l  d1,vbr
#endif
#if (DEVICE>=68020)
           move.l  d2,isp
           move.l  d3,msp
#endif
           move.l  #$0,d0
           move.l  #$0,d1
           move.l  #$0,d2
           move.l  #$0,d3
#if (DEVICE==68030)
           lea.l   CRP_INIT,a0
           short  $f010
           short  $4c00           #pmove (a0),crp
           short  $f010
           short  $4800           #pmove (a0),srp
           lea.l   LONG_0,a0
           short  $f010
           short  $4000           #pmove (a0),tc
           short  $f010
           short  $0800           #pmove (a0),tt0
           short  $f010
           short  $0c00           #pmove (a0),tt1
           short  $f010
           short  $6000           #pmove (a0),psr
#endif
#if (DEVICE==68040||COPROCESSOR==TRUE)
           short  $f23c
           short  $9000
           short  $0000
           short  $0000            #fmove.l #0,fpcr
           short  $f23c
           short  $8800
           short  $0000
           short  $0000            #fmove.l #0,fpsr
           short  $f23c
           short  $8400
           short  $0000
           short  $0000            #fmove.l #0,fpiar
           short  $f23c
           short  $4000
           short  $1234
           short  $5678            #fmove.x #0,fp0
           short  $f23c
           short  $4080
           short  $0000
           short  $0000            #fmove.x #0,fp1
           short  $f23c
           short  $4100
           short  $0000
           short  $0000            #fmove.x #0,fp2
           short  $f23c
           short  $4180
           short  $0000
           short  $0000            #fmove.x #0,fp3
           short  $f23c
           short  $4200
           short  $0000
           short  $0000            #fmove.x #0,fp4
           short  $f23c
           short  $4280
           short  $0000
           short  $0000            #fmove.x #0,fp5
           short  $f23c
           short  $4300
           short  $0000
           short  $0000            #fmove.x #0,fp6
           short  $f23c
           short  $4380
           short  $0000
           short  $0000            #fmove.x #0,fp7
#endif
           jmp  main

#if(DEVICE==68030)
CRP_INIT:  long  $1
LONG_0:    long  $0
#endif



